function p.__get_is_solid() return false end
function p.__get_tex() return "" end

function p.__main()
    set_default_block("e")

    local msg_str = "Try pressing the T key. "
        .. "This opens the window called\n"
        .. "Windows/win_scroll_ex.lua\n\n"
        .. "By clicking around the edges and dragging, "
        .. "you can move the contents of the window. "
        .. "Read the window lua file to see how it works.\n\n"
        .. "Clicking the \"click me\" button toggles "
        .. "whether or not there is ^x00ff00low gravity^!. "
    h.txt(7,7,3, msg_str)

    msg_str = "If you open the console (press ~) "
        .. "and enter the command\n"
        .. "^x00ff00game_input fly^!\n"
        .. "that will toggle whether or not you can fly.\n\n"
        .. "The way this works is the string \"fly\" "
        .. "is passed to the top.game_input function "
        .. "of the script \"Game/top.lua\". "
        .. "Then that function deals with it "
        .. "(read the code for more information).\n\n"
        .. "So enabling/disabling flying is handled "
        .. "by each package. "
    h.txt(7,7,1, msg_str)

    create_rect("s", 5,5,0, 9,9,0)
    create_rect("e", 6,6,0, 8,8,0)
end
